Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.caff.maze
Class MazeSaveImageProperties

    java.lang.Object
      de.caff.maze.MazePropertyOwner
          de.caff.maze.MazePaintProperties
              de.caff.maze.MazeSaveImageProperties

All Implemented Interfaces:
  MazePaintPropertiesProvider, MazeSaveImagePropertiesProvider

    public class MazeSaveImageProperties

extends MazePaintProperties
implements MazeSaveImagePropertiesProvider

Properties describing how a maze is painted.

Nested Class Summary

Nested classes/interfaces inherited from class de.caff.maze.MazePropertyOwner
`MazePropertyOwner.BooleanPropertyInformation, MazePropertyOwner.EnumPropertyInformation, MazePropertyOwner.InfoPropertyDisplay, MazePropertyOwner.IntegerPropertyInformation, MazePropertyOwner.PaintPropertyInformation`

Field Summary
`static int` | `DEFAULT_EXTENT` The default width and height.
`static java.lang.String` | `PROPERTY_EXTENT` Property key of extent property describing the extent (longer side of the image).

Fields inherited from class de.caff.maze.MazePaintProperties
`myKey, PROPERTY_BACKGROUND_PAINT, PROPERTY_CELL_BORDER_PAINT, PROPERTY_INNER_BORDER_PAINT, PROPERTY_OUTER_BORDER_PAINT, PROPERTY_SHOWING_CELL_BORDERS, PROPERTY_SHOWING_SOLUTION, PROPERTY_SOLUTION_PAINT, PROPERTY_WAY_END_PAINT, PROPERTY_WAY_START_PAINT`

Fields inherited from interface de.caff.maze.MazeSaveImagePropertiesProvider
`RESOURCE_EXTENT`

Constructor Summary
`MazeSaveImageProperties(java.lang.String myKey)` Create a maze print properties element with the given key.

Method Summary
`int` | `getExtent()` Get the image extent.
`static MazeSaveImageProperties` | `getMazeSaveImageProperties(DataStorage systemAccess)` Get save image properties.
`java.util.Collection<PropertyInformation>` | `getPropertyInformations()` Get the property informations.
`(package private) void` | `overwriteFromPersistentData(DataStorage dataStorage)` Overwrite the properties from the given data storage.
`void` | `setExtent(int extent)` Set the image extent.
`(package private) void` | `storePersistentData(DataStorage dataStorage)` Store the settings in a data storage.

Methods inherited from class de.caff.maze.MazePaintProperties
`getBackgroundPaint, getCellBorderPaint, getDrawMazePaintProperties, getInnerWallsPaint, getOuterWallPaint, getSaveMazePaintProperties, getSolutionPaint, getWayEndPaint, getWayStartPaint, isShowingCellBorders, isShowingSolution, setBackgroundPaint, setCellBorderPaint, setInnerBorderPaint, setOuterBorderPaint, setShowingCellBorders, setShowingSolution, setSolutionPaint, setWayEndPaint, setWayStartPaint`

Methods inherited from class de.caff.maze.MazePropertyOwner
`addPropertyChangeListener, firePropertyChange, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.caff.maze.MazePaintPropertiesProvider
`getBackgroundPaint, getCellBorderPaint, getInnerWallsPaint, getOuterWallPaint, getSolutionPaint, getWayEndPaint, getWayStartPaint, isShowingCellBorders, isShowingSolution`

Field Detail

### PROPERTY_EXTENT

    public static final java.lang.String PROPERTY_EXTENT

  Property key of extent property describing the extent (longer side of the image).

  See Also:
    Constant Field Values

### DEFAULT_EXTENT

    public static final int DEFAULT_EXTENT

  The default width and height.

  See Also:
    Constant Field Values

Constructor Detail

### MazeSaveImageProperties

    public MazeSaveImageProperties(java.lang.String myKey)

  Create a maze print properties element with the given key.

  Parameters:
    `myKey` - key of the properties

Method Detail

### getMazeSaveImageProperties

    public static MazeSaveImageProperties getMazeSaveImageProperties(DataStorage systemAccess)

  Get save image properties.

  Parameters:
    `systemAccess` - system access used to overwrite default settings
  Returns:
    save image properties

### getExtent

    public int getExtent()

  Get the image extent. The extent describes the longer side of the image.

  Specified by:
    `getExtent` in interface `MazeSaveImagePropertiesProvider`
  Returns:
    image extent

### setExtent

    public void setExtent(int extent)

  Set the image extent. The extent describes the longer side of the image.

  Parameters:
    `extent` - image extent

### getPropertyInformations

    public java.util.Collection<PropertyInformation> getPropertyInformations()

  Get the property informations.

  Overrides:
    `getPropertyInformations` in class `MazePaintProperties`
  Returns:
    collection of property informations

### overwriteFromPersistentData

    void overwriteFromPersistentData(DataStorage dataStorage)

  Overwrite the properties from the given data storage.

  Overrides:
    `overwriteFromPersistentData` in class `MazePaintProperties`
  Parameters:
    `dataStorage` - data storage to use for access to stored settings

### storePersistentData

    void storePersistentData(DataStorage dataStorage)

  Store the settings in a data storage.

  Overrides:
    `storePersistentData` in class `MazePaintProperties`
  Parameters:
    `dataStorage` - storage to store to

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD